Bug 1563811 - UI freezes for a second when a notification is received
Summary: UI freezes for a second when a notification is received
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2018-04-04 18:50 UTC by Axel Matías
Modified: 2019-05-28 23:30 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 23:30:06 UTC


Attachments (Terms of Use)

Description Axel Matías 2018-04-04 18:50:42 UTC
Description of problem:
When a notification appears and, specially if you are typing, UI freezes for a second, which is very annoying, and sometimes the key you were pressing appears like pressed about 5 times.

Version-Release number of selected component (if applicable):
3.28

How reproducible:
100%

Steps to Reproduce:
1.Type text
2.Receive a notification

Actual results:
UI freezes for a second

Expected results:
UI should not freeze

Additional info:
My laptop is quiet powerful I think, intel core i7 7500U and 16GB of RAM, so I don't think the problem is lack of machine power.

Comment 1 Christian Stadelmann 2018-05-31 10:40:43 UTC
I can reproduce this issue too. It is a clear regression from Fedora 27. See also bug #1565931.

Comment 2 Serge Matveenko 2018-09-04 10:47:44 UTC
I had this issue reproducing on BTRFS. After migrating the entire system via copying all data to EXT4 over LVM the issue is gone.

Comment 3 Christian Stadelmann 2018-10-08 13:48:24 UTC
After using Fedora 29 Beta for a few days, I have not seen the bug any more. I think it has been fixed in GNOME 3.30.

(In reply to Serge Matveenko from comment #2)
> I had this issue reproducing on BTRFS. After migrating the entire system via
> copying all data to EXT4 over LVM the issue is gone.

I highly doubt that this issue is in any way related to your filesystem. Even if GNOME shell did access the disk during window focus switch, the kernel would have cached that.

Comment 4 Serge Matveenko 2018-10-23 16:29:55 UTC
(In reply to Christian Stadelmann from comment #3)
> After using Fedora 29 Beta for a few days, I have not seen the bug any more.
> I think it has been fixed in GNOME 3.30.

It's really promising. Thanks!

> I highly doubt that this issue is in any way related to your filesystem.
> Even if GNOME shell did access the disk during window focus switch, the
> kernel would have cached that.

Well. It still shows up but rarely and only if there is some swap used. So, magically it is related to FS while it is not related.

Comment 5 Christian Stadelmann 2018-10-23 20:48:30 UTC
(In reply to Serge Matveenko from comment #4)
> Well. It still shows up but rarely and only if there is some swap used. So,
> magically it is related to FS while it is not related.

I have seen this issue heavily on Fedora 28 and I didn't even have a swap and plenty of RAM free.

Comment 6 Ben Cotton 2019-05-02 20:05:35 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 23:30:06 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.